From: Dmitry Shachnev <mitya57@debian.org>
Date: Mon, 17 Aug 2020 20:55:43 +0300
Subject: Adapt tests to pass with modern Sphinx versions

---
 tests/test_sphinx.py | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

diff --git a/tests/test_sphinx.py b/tests/test_sphinx.py
index 74f83cf..ed56ec8 100644
--- a/tests/test_sphinx.py
+++ b/tests/test_sphinx.py
@@ -148,17 +148,17 @@ class GenericTests(SphinxIntegrationTests):
         output = self.read_file('index.html')
         self.assertIn(
             ('<ul class="simple">\n'
-             '<li>Item A</li>\n'
-             '<li>Item B</li>\n'
-             '<li>Item C</li>\n'
+             '<li><p>Item A</p></li>\n'
+             '<li><p>Item B</p></li>\n'
+             '<li><p>Item C</p></li>\n'
              '</ul>'),
             output
         )
         self.assertIn(
             ('<ol class="simple">\n'
-             '<li>Item 1</li>\n'
-             '<li>Item 2</li>\n'
-             '<li>Item 3</li>\n'
+             '<li><p>Item 1</p></li>\n'
+             '<li><p>Item 2</p></li>\n'
+             '<li><p>Item 3</p></li>\n'
              '</ol>'),
             output
         )
@@ -213,16 +213,17 @@ class CustomExtensionTests(SphinxIntegrationTests):
     def test_integration(self):
         output = self.read_file('index.html')
         self.assertIn('<table ', output)
-        self.assertIn('<th class="head">abc</th>', output)
-        self.assertIn('<th class="head">data</th>', output)
+        self.assertIn('<th class="head"><p>abc</p></th>', output)
+        self.assertIn('<th class="head"><p>data</p></th>', output)
         self.assertIn('</table>', output)
 
+
         self.assertIn(
             ('<div class="contents topic" id="contents">\n'
-             '<p class="topic-title first">Contents</p>\n'
+             '<p class="topic-title">Contents</p>\n'
              '<ul class="simple">\n'
-             '<li><a class="reference internal" href="#header" id="id1">Header</a><ul>\n'
-             '<li><a class="reference internal" href="#header-2" id="id2">Header 2</a></li>\n'
+             '<li><p><a class="reference internal" href="#header" id="id1">Header</a></p>\n<ul>\n'
+             '<li><p><a class="reference internal" href="#header-2" id="id2">Header 2</a></p></li>\n'
              '</ul>\n</li>\n</ul>'),
             output
             )
